# Creative Commons

Creative Commons (CC) is the forefront [non-profit](non_profit.md) organization promoting [free culture](free_culture.md), i.e. basically relaxation of ["intellectual property"](intellectual_property.md) (such as [copyright](copyright.md)) in [art](art.md). One of the most important contributions of the organization are the widely used Creative Commons [licenses](license.md) which artists may use to make their works more legally free and even put them to the [public domain](public_domain.md).

Generally speaking Creative Commons brought a lot of good -- not only did it bring attention to the issues of "[intellectual property](intellectual_property.md)", it made a huge number of people and organizations actually relax or completely waive their rights on works they create. We, [LRS](lrs.md), especially appreciate the [CC0](cc0.md) public domain waiver that we prefer for our own works, like did many others, and other licenses such as CC BY-SA are still popular and better than "all rights reserved". However Creative Commons is still a big, centralized organization prone to corruption, it will most definitely suffer the same degeneration as any other organization in history, so don't get attached to it.

TODO

## Licenses

Creative commons [licenses](license.md)/waivers form a **[spectrum](spectrum.md)** spanning from complete freedom (CC0, [public domain](public_domain.md), no conditions on use) to complete [fascism](fascism.md) (prohibiting basically everything except for non-commercial sharing). This means that **NOT all Creative Commons licenses are [free cultural](free_culture.md) licenses** -- this is acknowledged by Creative Commons and has been intended. Keep in mind that as a good human you mustn't ever use licenses with [NC](nc.md) (non-commercial use only) or [ND](nd.md) (no derivatives allowed) clauses, these make your work non-free and therefore unusable.

Here is a comparison of the Creative Commons licenses/waivers, from most free (best) to least free (worst):

| name                                              |abbreviation|free culture|use    |share  |remix  |copyleft|attribution|non-commercial|comment                                                                                                                                          |
|---------------------------------------------------|------------|------------|-------|-------|-------|--------|-----------|--------------|-------------------------------------------------------------------------------------------------------------------------------------------------|
| [Creative Commons Zero](cc0.md)                   | CC0        | yes :)     |yes :) |yes :) |yes :) | no :)  |no need :) | no :)        |[public domain](public_domain.md), copyright [waiver](waiver.md), no restrictions, most freedom, best, sadly doesn't waive patents and trademraks|
| Creative Commons [Attribution](attribution.md)    | CC BY      | yes?*      |yes?*  |yes :) |yes :) | no :)  |forced :(  | no :)        | requires [attribution](attribution.md) to authors, `*`: limits some uses ("anti DRM"), rejected by [copyfree](copyfree.md), rather don't use    |
| Creative Commons Sharealike                       | CC SA      | yes :)     |yes :) |yes :) |yes :) | yes :/ |no need :) | no :)        | retired, secret license, no longer recommended by CC, pure copyleft/sharealike without forced attribution                                       |
| Creative Commons Attribution Sharealike           | CC BY-SA   | yes :)     |yes :) |yes :) |yes :) | yes :/ |forced :(  | no :)        | requires attribution to authors and copyleft (sharing under same terms)                                                                         | 
| Creative Commons Attribution NonCommercial        | CC BY-NC   | NO! :(((   |yes but|yes but|yes but| yes :/ |forced :(  | yes :(       | [proprietary](proprietary.md) fascist license prohibiting commercial use, DO NOT USE                                                            | 
| Creative Commons Attribution NoDerivs             | CC BY-ND   | NO! :(((   |yes but|yes but|NO! :( | yes :/ |forced :(  | no but       | [proprietary](proprietary.md) fascist license prohibiting modifications, DO NOT USE                                                             | 
|Creative Commons Attribution NonCommercial NoDerivs| CC BY-NC-ND| NO! :(((   |yes but|yes but|NO! :( | yes :/ |forced :(  | yes :(       | [proprietary](proprietary.md) fascist license prohibiting commercial use and even modifications, DO NOT USE                                     | 
| Creative Commons Attribution NoValue              | CC BY NV   | no         | yes   | yes   | no    | no     |forced     | yes          | [joke](joke.md) license by Question Copyright :)                                                                                                |
| none (all rights reserved)                        |            | NO! :(((   |NO! :( |NO! :( |NO! :( |FUCK YOU|FUCK YOU   | FUCK YOU     | [proprietary](proprietary.md) fascist option, prohibits everything, DO NOT USE                                                                  |

Out of Creative Commons licenses/waivers **always use [CC0](cc0.md)**, that's the only one aligned with [our goals](lrs.md), it's the one that's closest to completely rejecting any control over the work. Even though legally and practically there probably won't be such a large difference between CC0 and let's say CC BY, the mental jump to absolute public domain is important (small step for lawyer, huge leap for freedom) -- it's known that people who use the imperfect licenses such as CC BY SA still feel a small grip and authority over their work, they still have to overlook that the license "isn't violated" and sometimes even start making trouble (see e.g. the infamous meltdown of David Revoy over his "moral rights being violated with [NFTs](nft.md)" despite his work being CC BY { Thanks to a friend for finding this. ~drummyfish }). Don't do this, just let go. If you love it, let it go.

There **Creative Commons license paradox**: there seems to be a curious pattern noticeable in the world of Creative Commons licensed works (and possibly [free culture](free_culture.md) and [free software](free_software.md) in general) -- the phenomenon is that **the shittier the [art](art.md), the more restrictive license it will have**. { I noticed this on opengameart but then found it basically applies everywhere. ~drummyfish } Upon closer inspection it doesn't look so surprising after all: more restrictive licenses are used as a slow and careful transition from "all right reserved" world, i.e. they are used by newcomers and noobs who fear that if they don't enforce attribution people will immediately exploit it. More skilled people who have spent some time in the world of free art and published more things already know this doesn't happen and they know that less restrictive licenses are just better in all aspects.

## See Also

- [free culture](free_culture.md)
- [free software](free_software.md)
